Bug 100486 - "Shift+Enter" shortcut not working after Tab
Summary: "Shift+Enter" shortcut not working after Tab
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2016-06-20 03:29 UTC by Luke
Modified: 2019-04-09 17:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2016-06-20 03:29:25 UTC
Steps to reproduce:
1. In Calc open new spreadsheet
2. Type 1 in A1 then Enter
3. Type 2 in A2 then Tab
4. Type 3 in B2 then Shift+Enter

Expected Result:
Cursor move to B1

Actual Results:
Cursor moves to A1
Comment 1 massimo.zaffaina 2016-06-20 07:37:01 UTC
I tested the bug in different versions and results are that the bug is presents in this versions: 

Versione: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)
OS:openSUSE Leap 42.1 (x86_64)

Versione: 5.1.3.2
Build ID: 10m0(Build:2)
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)
OS:openSUSE Leap 42.1 (x86_64)

Versione: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Versione locale: it-IT (it_IT.UTF-8)
OS:openSUSE Leap 42.1 (x86_64)

Versione: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Versione locale: it_IT.UTF-8
OS:openSUSE Leap 42.1 (x86_64)

Versione: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
OS:openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS:openSUSE Leap 42.1 (x86_64)

Versione: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8) 
OS:openSUSE Leap 42.1 (x86_64)

so I changed the status of the bug to new
Comment 2 Luke 2016-06-21 03:43:45 UTC
When you use Tab to move to the cell on the right (or Shift+Tab to move left), Calc should track where you started. After you press Enter, it should use this to move to 1 cell below the start position. This functionality needs to be disabled for  "Shift+Enter".
Comment 3 QA Administrators 2017-09-01 11:15:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901